/*----------------------------------------------------------------------------
 *      Name:    brownOut.c
 *      Purpose: Brown Out Detection
 *
  
 *----------------------------------------------------------------------------
 *
 *
 *
 *      Copyright (c) 2008 SoftwareFlair Inc.
 *---------------------------------------------------------------------------*/

#include <LPC214x.H>

#include "system.h"
#include "type.h"

char isBrownOutDetected = FALSE;

//Brown Out Detect isr
void BOD_ISR (void) __irq
{
	wasHere = 0x100;
	isBrownOutDetected = TRUE;		  
	VICVectAddr = 0;                 /* Acknowledge Interrupt */	   
}

/*
 *  Brown Out Initialize Function
 *   Called by the User to initialize Brown Out Detection
 *    Return Value:    None
 */
void brownOutInit(void)
{

	isBrownOutDetected = FALSE;

  VICVectAddr8 = (unsigned long)BOD_ISR;    /* USB Interrupt -> Vector 8 */
  VICVectCntl8 = 0x20 | 20;                 /* BrownOut -> IRQ Slot 8 */
  VICIntEnable = 1 << 20;                   /* Enable Brown Out Detection Interrupt */
}

char didBrownOutOccur(void)
{
	if(isBrownOutDetected)
	{
		isBrownOutDetected = FALSE;		// clear the brown detected flag, now that we have reported the issue
		return(TRUE);
	}

	return(FALSE);
}

