/*----------------------------------------------------------------------------
 *      Name:    CHKSUM
 *      Purpose: 16 Bit Checksum: using summation
 *
 *	Checksum  perform a calculation on a memory area based on the memory area (size). Returns 
 *	the 16 bit CheckSum value.      
 *----------------------------------------------------------------------------
 *
 *
 *
 *      Copyright (c) 2008 SoftwareFlair Inc.
 *---------------------------------------------------------------------------*/

#include "system.h"

// perform a 16 bit summation of all of the bytes	in the payload.
// The end address is part of the Checksum calculation!!
ushort chkSumCalc(ushort myStartAddr, ushort myEndAddr)
{
	ushort myCheckSum = 0;
	ushort mySize;
	uchar myData;

	mySize = (myEndAddr + 1) - myStartAddr;

	while(mySize--)
	{
		eepromRead((ushort) myStartAddr++, &myData);
#if VORT_BOARD
	DelayUs(20);
#else
		delayMs(5);
#endif
		myCheckSum += myData;
	}  

	return(myCheckSum);
}


