/*----------------------------------------------------------------------------
 *      Name:    d2a.c
 *      Purpose: Digital to Analog Converter
 *    
 *----------------------------------------------------------------------------
 *
 *
 *
 *      Copyright (c) 2008 SoftwareFlair Inc.
 *---------------------------------------------------------------------------*/

#include <LPC214X.H>                        /* LPC214x definitions */
#include <stdio.h>
#include "system.h"
#include "serial.h"


// I looked again to see why I did not have anything about the LPC2144 DAC and you just set the pin P0.25 
// in the PIN FUNCTION register as a DAC output. Then write 10bit data to the DAC location (DACR 15:6) and 
// it changes the output.
//
// It uses a 2.5 volt reference from the TE controller and 1.25 volt is equal to 25C temperature. 

void d2aInit(void)
{
	PINSEL1 |= 0x00080000;					// P0.25 - 19:18 = 10 for Aout DAC. Cold Block temp adjust
	IODIR0 |= PIN_COLD_BLOCK_TEMP_ADJ;							// Cold Block temperature adjust	P0.25	OUT	Microprocessor control of laser light 		

	// initialize 1/2 way?
	DACR = 0x200 << 6;

}

// Set Cold Block Temperature
void d2aSet(ushort myVal)
{
	DACR = myVal << 6;
}


void readD2aChnl(uchar myPort)		// Cold Block and Base Plate
{
	char myBuf[20];

	sprintf(myBuf, "D2A: %d\n", DACR >> 6);
	putString(myPort, myBuf);
}

// Diagnostics for the internal D2A
void d2aDiags(void)
{
	PINSEL1 |= 0x00080000;					// 19:18 = 10 for Aout DAC
	IODIR0 |= PIN_COLD_BLOCK_TEMP_ADJ;							// Cold Block temperature adjust	P0.25	OUT	Microprocessor control of laser light 		

	DACR = 0x200 << 6;

	//DACR = 0xFFC0;

}
