//
//						extDualPots.h
//
//	Include file that contains Dual Pots related literals
//
//	(C) SoftwareFlair Inc. 2008
//
//

// AD5252
// Addresses for Writing (Storing) RDAC Settings and User-Defined Data to 
// EEMEM Registers (R/W = 0, CMD/REG = 0, EE/RDAC = 1) 
//
// Addresses for Reading (Restoring) RDAC Settings and User Data from 
// EEMEM (R/W = 1, CMD/REG = 0, EE/RDAC = 1)
typedef enum 
{ 
	D_POT_RESRVD_0 = 0x0,
	D_POT_RDAC1,
	D_POT_RESRVD_2,
	D_POT_RDAC3,
	D_POT_STR_EMEM_4,
	D_POT_STR_EMEM_5,
	D_POT_STR_EMEM_6,
	D_POT_STR_EMEM_7,
	D_POT_STR_EMEM_8,
	D_POT_STR_EMEM_9,
	D_POT_STR_EMEM_10,
	D_POT_STR_EMEM_11,
	D_POT_STR_EMEM_12,
	D_POT_STR_EMEM_13,
	D_POT_STR_EMEM_14,
	D_POT_STR_EMEM_15

} DUAL_DIGITAL_POT;

#define SET_LSR_MAX_CUR 	D_POT_RDAC1
#define SET_LSR_FULL_PWR	D_POT_RDAC3

#define SET_MOD_FINE 			D_POT_RDAC1
#define SET_MOD_COARSE		D_POT_RDAC3


// Access Control Register
#define D_POT_CMD_REG			0x80		// REG is active low
#define D_POT_EE_RDAC			0x20		// RDAC is active low

#define D_POT_STORE_CMD			0x90		// 

#define D_POT_CMD_NOP			0x00		// Go to idle mode
#define D_POT_STORE_EMEM_TO_WIPER		0x20		// Store to EMEM to Wiper
#define D_POT_STORE_WIPER_TO_EMEM		0x40		// Store Wiper to EMEM

