/*----------------------------------------------------------------------------
 *      Name:    extEeprom.h
 *      Purpose: External EEPROM
 *
 *----------------------------------------------------------------------------
 *
 *
 *
 *      Copyright (c) 2008 SoftwareFlair Inc.
 *---------------------------------------------------------------------------*/


//#define I2C_ADDR_EEPROM				0xA4	// EEPROM (B2:0, B1:1, B0:0) 0xA4

// EEPROM Memory Image - Note if this table changes then modify sysCfgShadowReg
#define EEPROM_VER				0x00
#if 0
#define EEPROM_LP					0x02
#define EEPROM_C					0x06
#define EEPROM_LC					0x07
#define EEPROM_LE					0x06
#define EEPROM_EPC				0x07
#define EEPROM_DELAY			0x08
#define EEPROM_VOBTS			0x09
#define EEPROM_TEC				0x0B
#define EEPROM_ECHO				0x0C
#define EEPROM_PROMPT			0x0D
#define EEPROM_END				0x0E		// Note - End of attributes!!!!
#endif

#if VORT_BOARD
	#define EE_SYSCFG0_START	0x00		// System Configuration image Bank 0
	#define EE_SYSCFG0_CHKSUM	0xFE		// 2 bytes: System Configuration checksum Bank 0
	#define EE_CAL_START			0x100		// Calibration Area
	#define EE_CAL_CHKSUM			0x1FE		// 2 bytes: Calibration checksum
	#define EE_HELP_START			0x200		// Help Area
	#define EE_HELP_CHKSUM		0xFFE		// 2 bytes: Help Area checksum
	#define EE_SYSCFG1_START	0x1000	// System Configuration image Bank 1
	#define EE_SYSCFG1_CHKSUM	0x10FE	// 2 bytes: System Configuration checksum Bank 1
	#define EE_SW_ERR_START	0x1E00	// Software error
	#define EE_SW_ERR_CHKSUM	0x1FFC	// 2 bytes: Software error checksum
	#define EEPROM_DIAGS			0x1FFE	// 2 bytes: test area
#else	// keil 2148 development board
	#define EE_SYSCFG0_START	0x00		// System Configuration image Bank 0
	#define EE_SYSCFG0_CHKSUM	0xFE		// 2 bytes: System Configuration checksum Bank 0
	#define EE_SYSCFG1_START	0x1000	// System Configuration image Bank 1
	#define EE_SYSCFG1_CHKSUM	0x10FE	// 2 bytes: System Configuration checksum Bank 1
	#define EE_SYSCFG_START		0x00
	#define EE_SYSCFG_CHKSUM	0x9E		// 2 bytes
	#define EE_CAL_START			0xA0		// 2 bytes
	#define EE_CAL_CHKSUM			0xFE		// 2 bytes
	#define EE_HELP_START			0x100		// 2 bytes
	#define EE_HELP_CHKSUM		0x1FC		// 2 bytes
	#define EEPROM_DIAGS			0x1FE		// 2 bytes
#endif

//#define EEPROM_HELP_CMDS		0x100
//#define EEPROM_HELP_CHKSUM	0x3FC		// 2 bytes
//#define EEPROM_DIAGS				0x7FE		// 2 bytes

char eepromRead(ushort myAddr, uchar* myData);
char isEepromGood(void);
