/*----------------------------------------------------------------------------
 * Name:    demo.h
 * Purpose: USB HID Demo Definitions
 * Version: V1.20
 *----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2008 Keil - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

/* Push Button Definitions */
#define PB_INT0         0x00004000  /* P0.14 */

/* LED Definitions */
#define LED_MSK         0x00FF0000  /* P1.16..23 */

//Requests
#define SET_COMMAND_QUERY			0xA0    //To send a new command or query
#define GET_RESPONSE_STATUS 		0xA1   //Periodically poll this to find if response is ready
#define GET_RESPONSE 				0xA2   //Get Response when ready
#define SET_RESPONSE_RECEIVED 		0xA3   //Clear out the response and set

/* HID Demo Variables */
extern U8 InReport[USB_MAX_PACKET0];
extern U8 OutReport[USB_MAX_PACKET0];

/* HID Demo Functions */
extern void GetInReport  (void);
extern void SetOutReport (void);
