/*----------------------------------------------------------------------------
 *      Name:    I2C.C
 *      Purpose: I2C literals
 

 *---------------------------------------------------------------------------*/

#define I2C_ADDR_EEPROM						0xA0	// EEPROM (B2:0, B1:0, B0:0) 0xA0		(7 Bit Address: 0xA0)

#define I2C_ADDR_POT_LSR_DFB				0x5E	// Digital Pot address: AD5252BRU	Dual 8bit Pot. DFB/SOA Current
#define I2C_ADDR_POT_MOD					0x5A	// Digital Pot address: AD5252BRU	Dual 8bit Pot. Modulation Level
#define I2C_ADDR_D_D2A						0x1A	// Quad D2A	- AD5325	Quad 12 Bit DAC	Control Laser Current
#define I2C_ADDR_A2D						0x50	// Quad A2D	- AD7991	Triple 12bit A/D.
#define I2C_ADDR_PSA						0x82	// 4 Bit I/O port NXP PCA9536
#define I2C_ADDR_SING_POT_LSR				0x30    // Single Pot AD5259BRMZ Single 8 bit Pot Laser SOA Light Control


#define I2C_WRITE					0x00
#define I2C_READ					0x01

#define MAX_I2C_TIMEOUT_IN_TICKS	6

extern short isrI2cErr;

extern void writeI2C2_Byte(uchar chipAddr, uchar data);				
extern void writeI2C2_2Bytes(uchar, uchar, uchar);
extern void writeI2C2_3Bytes(uchar, uchar, uchar, uchar);
extern void readI2C2_BytesBlocking(uchar, uchar, uchar *, uchar );
extern void readI2C2_16BitAddr_BytesBlocking(uchar, ushort, uchar *, uchar );

extern void readI2C2_Dual_D2a_BytesBlocking(uchar, uchar *, uchar );
extern void readI2C2_Dual_A2d_BytesBlocking(uchar, uchar *, uchar );
extern void readI2C2_BytesBlockingNR(uchar addr, uchar *myData, uchar mySize);

extern void readAllExtD2aRegs(uchar myPort);
extern void readAllExtA2dRegs(uchar myPort);
extern void readAllExtPotsLsrRegs(uchar myport);
extern void readAllExtPotsModRegs(uchar myport);

extern void readAllExtSinglePotLsrRegs(uchar myport);

extern void extDualD2aInit(void);
extern void extA2dInit(void);
extern void extDualPotsLsrInit(void);
extern void extDualPotsModInit(void);

extern void extDualD2aDfbInit(void);
extern void extA2dDfbInit(void);
extern void extSinglePotLsrInit(void);

void writeExtD2aReg(ulong myULong1, ulong myULong2);
void potsLsrWriteReg(ulong myULong1, ulong myULong2);
void potsModWriteReg(ulong myULong1, ulong myULong2);

void writeExtD2aDfbReg(ulong myULong1, ulong myULong2);
void potLsrSingleWriteReg(ulong myULong1, ulong myULong2);



extern void i2CInit(void);
extern void I2CTransferByte(unsigned int I2CAddr,unsigned char MemAddr,unsigned char count,...);			//Background call to start master send and receive byte transfers

