/*----------------------------------------------------------------------------
 *      Name:    leds.c
 *      Purpose: LED Driver
 * 
 *	LedDriver  control the running status led, and the CRH led     
 *----------------------------------------------------------------------------
 *
 *
 *
 *      Copyright (c) 2008 SoftwareFlair Inc.
 *---------------------------------------------------------------------------*/

#include <LPC214X.H>                        /* LPC214x definitions */
#include "system.h"


#define LED_STATUS_BIT        0x00000001  /* P1.0 */
#define LED_CDR_BIT      		  0x00000002  /* P1.1 */

#define LED_RUNNING_STATUS		0x01
#define LED_CDR								0x02

#define LED_OFF								0
#define LED_ON								1							


void ledSet(uchar ledType, uchar myState)
{

	if(ledType == LED_RUNNING_STATUS)
	{
		if(myState == LED_ON)
			IOSET1 = LED_STATUS_BIT;                         /* Turn on the LED Status */
		else
		  IOCLR1 = LED_STATUS_BIT;                         /* Turn Off the LED Status */
	}
	else if(ledType == LED_CDR)
	{
		if(myState == LED_ON)
			IOSET1 = LED_CDR_BIT;                         /* Turn on the LED CDR */
		else
		  IOCLR1 = LED_CDR_BIT;                         /* Turn Off the LED CDR */
	}
	else
		swError(__FILE__, __LINE__);		// log error

}

uchar ledGet(uchar ledType)
{
	uchar myState;

	if(ledType == LED_RUNNING_STATUS)
	{
		// mystate;
	}
	else if(ledType == LED_CDR)
	{
	}
	else
		swError(__FILE__, __LINE__);		// log error

	return myState;
}

void ledToggle(uchar ledType)
{

	if(ledType == LED_RUNNING_STATUS)
	{
		//if(led;
	}
	else if(ledType == LED_CDR)
	{
	}
	else
		swError(__FILE__, __LINE__);		// log error

}


// LED diagnostics to test the 2 LEDS
void ledDiags()
{

	// turn off both LEDS, turn on Running Status LED for 1 second,
	ledSet(LED_RUNNING_STATUS, LED_OFF);
	ledSet(LED_CDR, LED_OFF);
	ledSet(LED_RUNNING_STATUS, LED_ON);

	delayMs(1000);

	// turn off Running status LED and immediately turn on CDR LED for 1 second
	ledSet(LED_RUNNING_STATUS, LED_OFF);
	ledSet(LED_CDR, LED_ON);
	delayMs(1000);

	// turn off CDR for 1 second
	ledSet(LED_CDR, LED_OFF);
	delayMs(1000);

	// turn on both LEDS for 1 second.
	ledSet(LED_RUNNING_STATUS, LED_ON);
	ledSet(LED_CDR, LED_ON);
	delayMs(1000);

	// Turn off LEDs
	ledSet(LED_RUNNING_STATUS, LED_ON);
	ledSet(LED_CDR, LED_ON);

}
