/////////////////////////////////////////////////////////////////////////////
//
//						queue.c
//
//	Circular queues for communication to/from the USB, Serial 0, and Serial 1
//
//	(C) SoftwareFlair Inc. 2008
//
//
//
/////////////////////////////////////////////////////////////////////////////


#define MAX_Q_BUF_SIZE	80 //was 80

// Queue Stream: USB, and Serial 0 and 1
typedef enum {
	SER0_Q = 0,
	SER1_Q,
	USB_Q,
	END_OF_QUEUES		// must always be the last member of the enum!!!
} Q_STREAM;

// Queue Type: input or output - based on the ARM CPU: 
typedef enum {
	IN_Q = 0,
	OUT_Q
} Q_TYPE;

extern void qInit(void);	// initialize all of the queues
extern void writeQ(Q_STREAM myQ, Q_TYPE myQType, uchar *myData, uchar mySize);	// Store a bytes to the specified queue if there is room in the queue
extern void readQ(Q_STREAM myQ, Q_TYPE myQType, uchar *myData, uchar mySize);	// read bytes from the specified queue if there is data																																							// in the queue, This does NOT Flush the data from  the queue
extern void flushQ(Q_STREAM myQ, Q_TYPE myQType, uchar mySize);	// flush bytes from the specified queue if there is data in the queue
extern uchar qFullIndicator(Q_STREAM myQ, Q_TYPE myQType);	// the number of bytes that have been written and can be read from the queue
extern uchar qEmptyIndicator(Q_STREAM myQ, Q_TYPE myQType); //the number of bytes which may be written into queue
